kio-extras_18.08.3-1_i386.deb


Advertisement

Description

kio-extras - Extra functionality for kioslaves

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package name kio-extras
Package version 18.08.3
Package release 1
Package architecture i386
Package type deb
Installed size 2.15 KB
Download size 491.14 KB
Official Mirror ftp.br.debian.org
A kioslave is a plugin designed to be intimately familiar with a certain
protocol, so that a standardized interface can be used to get at data from
any number of places.  A few examples are the http and ftp kioslaves,
which using nearly identical methods will retrieve data from an http or
ftp server respectively.
This package is part of the KDE base workspace module.

Alternatives

Package Version Architecture Repository
kio-extras_18.08.3-1_amd64.deb 18.08.3 amd64 Debian Main
kio-extras - - -

Requires

Name Value
kio -
kio-extras-data = 4:18.08.3-1
libc6 >= 2.15
libgcc1 >= 1:3.0
libkf5activities5 >= 4.96.0
libkf5archive5 >= 4.96.0
libkf5bookmarks5 >= 4.96.0
libkf5codecs5 >= 4.96.0
libkf5configcore5 >= 4.98.0
libkf5configgui5 >= 4.97.0
libkf5configwidgets5 >= 4.96.0
libkf5coreaddons5 >= 4.99.0
libkf5dbusaddons5 >= 4.97.0
libkf5dnssd5 >= 4.96.0
libkf5guiaddons5 >= 4.96.0
libkf5i18n5 >= 4.97.0
libkf5iconthemes5 >= 4.96.0
libkf5khtml5 >= 4.96.0
libkf5kiocore5 >= 5.24.0
libkf5kiofilewidgets5 >= 4.96.0
libkf5kiowidgets5 >= 5.41.0
libkf5parts5 >= 4.96.0
libkf5pty5 >= 4.96.0
libkf5service bin
libkf5service5 >= 4.96.0
libkf5solid5 >= 4.97.0
libkf5xmlgui5 >= 4.96.0
libmtp9 >= 1.1.3
libopenexr23 -
libphonon4qt5-4 >= 4:4.8.0
libqt5core5a >= 5.11.0~rc1
libqt5dbus5 >= 5.5.0~
libqt5gui5 >= 5.7.0
libqt5network5 >= 5.5.0~
libqt5sql5 >= 5.5.0~
libqt5svg5 >= 5.6.0~beta
libqt5widgets5 >= 5.5.0~
libqt5xml5 >= 5.5.0~
libsmbclient >= 2:4.0.3+dfsg1
libssh-4 >= 0.8.0
libstdc++6 >= 4.5
libtag1v5 >= 1.11
phonon4qt5 -

Replaces

Name Value
kactivities -

Download

Type URL
Binary Package kio-extras_18.08.3-1_i386.deb
Source Package kio-extras

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install kio-extras deb package:
    # sudo apt-get install kio-extras

Files

Path
/usr/lib/i386-linux-gnu/libkioarchive.so.5
/usr/lib/i386-linux-gnu/libkioarchive.so.5.97.0
/usr/lib/i386-linux-gnu/libmolletnetwork5.so.18
/usr/lib/i386-linux-gnu/libmolletnetwork5.so.18.08.3
/usr/lib/i386-linux-gnu/qt5/plugins/audiothumbnail.so
/usr/lib/i386-linux-gnu/qt5/plugins/comicbookthumbnail.so
/usr/lib/i386-linux-gnu/qt5/plugins/djvuthumbnail.so
/usr/lib/i386-linux-gnu/qt5/plugins/exrthumbnail.so
/usr/lib/i386-linux-gnu/qt5/plugins/imagethumbnail.so
/usr/lib/i386-linux-gnu/qt5/plugins/jpegthumbnail.so
/usr/lib/i386-linux-gnu/qt5/plugins/kactivitymanagerd_fileitem_linking_plugin.so
/usr/lib/i386-linux-gnu/qt5/plugins/kfileaudiopreview.so
/usr/lib/i386-linux-gnu/qt5/plugins/kio_activities.so
/usr/lib/i386-linux-gnu/qt5/plugins/kritathumbnail.so
/usr/lib/i386-linux-gnu/qt5/plugins/libkio_about.so
/usr/lib/i386-linux-gnu/qt5/plugins/libkmanpart.so
/usr/lib/i386-linux-gnu/qt5/plugins/svgthumbnail.so
/usr/lib/i386-linux-gnu/qt5/plugins/textthumbnail.so
/usr/lib/i386-linux-gnu/qt5/plugins/windowsexethumbnail.so
/usr/lib/i386-linux-gnu/qt5/plugins/windowsimagethumbnail.so
/usr/lib/i386-linux-gnu/qt5/plugins/kf5/kded/filenamesearchmodule.so
/usr/lib/i386-linux-gnu/qt5/plugins/kf5/kded/networkwatcher.so
/usr/lib/i386-linux-gnu/qt5/plugins/kf5/kded/recentdocumentsnotifier.so
/usr/lib/i386-linux-gnu/qt5/plugins/kf5/kio/archive.so
/usr/lib/i386-linux-gnu/qt5/plugins/kf5/kio/bookmarks.so
/usr/lib/i386-linux-gnu/qt5/plugins/kf5/kio/filenamesearch.so
/usr/lib/i386-linux-gnu/qt5/plugins/kf5/kio/filter.so
/usr/lib/i386-linux-gnu/qt5/plugins/kf5/kio/fish.so
/usr/lib/i386-linux-gnu/qt5/plugins/kf5/kio/info.so
/usr/lib/i386-linux-gnu/qt5/plugins/kf5/kio/man.so
/usr/lib/i386-linux-gnu/qt5/plugins/kf5/kio/mtp.so
/usr/lib/i386-linux-gnu/qt5/plugins/kf5/kio/network.so
/usr/lib/i386-linux-gnu/qt5/plugins/kf5/kio/nfs.so
/usr/lib/i386-linux-gnu/qt5/plugins/kf5/kio/recentdocuments.so
/usr/lib/i386-linux-gnu/qt5/plugins/kf5/kio/settings.so
/usr/lib/i386-linux-gnu/qt5/plugins/kf5/kio/sftp.so
/usr/lib/i386-linux-gnu/qt5/plugins/kf5/kio/smb.so
/usr/lib/i386-linux-gnu/qt5/plugins/kf5/kio/thumbnail.so
/usr/share/doc/kio-extras/changelog.Debian.gz
/usr/share/doc/kio-extras/copyright
/usr/share/lintian/overrides/kio-extras

Changelog

2018-11-12 - Pino Toscano <pino@debian.org>
kio-extras (4:18.08.3-1) unstable; urgency=medium
* Team upload.
* New upstream release.
* Disable the HTML thumbnailer: (CVE-2018-19120) (Closes: #913595)
- remove the qtwebengine5-dev build dependency
2018-09-08 - Pino Toscano <pino@debian.org>
kio-extras (4:18.08.1-1) unstable; urgency=medium
* Team upload.
* New upstream release.
* Fix Vcs-Git field.
2018-09-06 - Pino Toscano <pino@debian.org>
kio-extras (4:18.08.0-1) unstable; urgency=medium
* Team upload.
* Upload to unstable.
* New upstream release.
* Bump Standards-Version to 4.2.1, no changes required.
* Update lintian overrides.
2018-07-17 - Maximiliano Curia <maxy@debian.org>
kio-extras (4:18.04.3-1) experimental; urgency=medium
* New upstream release (18.04.3).
* Update build-deps and deps with the info from cmake
* Bump to Standards-Version 4.1.4
* Update Vcs fields
* Update copyright information
* Update install files
* Release to experimental
2017-12-09 - Pino Toscano <pino@debian.org>
kio-extras (4:17.08.3-2) unstable; urgency=medium
* Team upload.
* Fix small comma vs dot typo in debian/control.
2017-12-09 - Pino Toscano <pino@debian.org>
kio-extras (4:17.08.3-1) unstable; urgency=medium
* Team upload.
* Upload to unstable.
* New upstream release.
* Bump Standards-Version to 4.1.2, no changes required.
* Simplify watch file, and switch it to https.
* Remove debian/meta/cmake-ignore, unused.
* Remove unused build dependencies: kinit-dev, libexiv2-dev, libjpeg-dev,
libkf5kdelibs4support-dev, and libkf5plasma-dev. (Closes: #880317)
* In kio-extras-data, remove the unused ${shlibs:Depends} substvar, and use
${perl:Depends}.
* Update lintian overrides.
* Limit the qtwebengine5-dev build dependency only to the architectures
where it is available: amd64 arm64 armhf i386 mipsel.
* Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
drop translations.
2017-09-12 - Maximiliano Curia <maxy@debian.org>
kio-extras (4:17.08.1-1) experimental; urgency=medium
* New upstream release (17.08.1)
* Bump Standards-Version to 4.1.0.
* Update upstream metadata
* Update build-deps and deps with the info from cmake
* Release to experimental
2017-09-05 - Neon CI <neon@kde.org>
kio-extras (4:17.08.1-0neon) xenial; urgency=medium
* New release
2017-08-17 - Neon CI <neon@kde.org>
kio-extras (4:17.08.0-0neon) xenial; urgency=medium
* New release
2017-07-12 - Neon CI <neon@kde.org>
kio-extras (4:17.04.3-0neon) xenial; urgency=medium
* New release

See Also

Package Description
kio-gdrive_1.2.5+fixedtarball-1_i386.deb KIO access for GDrive
kio-gopher_0.1.99-2_i386.deb gopher KIO slave
kio-ldap_18.08.3-1_i386.deb library for accessing LDAP - kio slave
kio-perldoc_17.08.3-2_i386.deb Perl documentation KIO slave
kio-sieve_18.08.3-2_i386.deb Sieve mail filtering language support for kdepim, kio slave
kio_5.54.1-1_i386.deb resource and network access abstraction
kipi-plugins-common_5.9.0-1_all.deb kipi-plugins architecture-independent data
kipi-plugins_5.9.0-1+b1_i386.deb image manipulation/handling plugins for KIPI aware programs
kirigami2-dev_5.54.0-1_i386.deb set of QtQuick components targeted for mobile use
kiriki_18.04.1-1_i386.deb Yahtzee dice game
kism3d_0.2.2-16_i386.deb 802.11 visualizer for s3d
kismet-plugins_2016.07.R1-1+b1_i386.deb wireless sniffer and monitor - plugins
kismet_2016.07.R1-1+b1_i386.deb wireless sniffer and monitor - core
kiten_17.08.3-1_i386.deb Japanese reference and study aid for KDE
kitty-doc_0.13.3-1_all.deb fast, featureful, GPU based terminal emulator (documentation)
Advertisement
Advertisement